Get Namespaces

Get Namespaces

Use this endpoint to get namespaces
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/namespaces
COPY
Query Parameters
integer
page
Optional

Zero-based page index (0..N)

integer
size
Optional

The size of the page to be returned

string of array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

string of array
namespaces
Optional

Filter based on namespace IDs

string of array
environments
Optional

Filter based on environment

string of array
statuses
Optional

Filter based on environment status

string
tenantId
Optional

ID of the tenant


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedModelListViewNamespaceDto of type(s) application/vnd.vmware.dms-v1+json
{
    "links": [
        {
            "rel": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string"
        }
    ],
    "content": [
        {
            "id": "string",
            "name": "string",
            "environment": {
                "id": "string",
                "name": "string"
            },
            "status": "string",
            "databaseCount": 0,
            "organisations": [
                {
                    "id": "string",
                    "name": "string",
                    "isPublished": false,
                    "databaseCount": 0
                }
            ],
            "lastUpdatedTime": "string",
            "links": [
                {
                    "rel": "string",
                    "href": "string",
                    "hreflang": "string",
                    "media": "string",
                    "title": "string",
                    "type": "string",
                    "deprecation": "string",
                    "profile": "string",
                    "name": "string"
                }
            ]
        }
    ],
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    }
}
array of Link
links
Optional

links

content
Optional

content

page
Optional

page


400

Bad Request

Operation doesn't return any data structure